﻿Public Class Manager
    Inherits Employee

    Public Property DepartmentName As String
    Public Property DirectReports As List(Of Person) =
        New List(Of Person)

    ' Return a list of this manager's direct reports.
    Public Function GetDirectReportsList() As String
        Dim result As String = ""
        For Each emp As Employee In DirectReports
            result &= emp.FirstName & " " & emp.LastName & vbCrLf
        Next emp
        Return result
    End Function

    ' Constructors.
    Public Sub New()
        MyBase.New()

        Console.WriteLine("Manager()")
    End Sub

    ' Initialize all properties.
    Public Sub New(ByVal newFirstName As String, ByVal newLastName As String,
     ByVal newStreet As String, ByVal newCity As String,
     ByVal newState As String, ByVal newZip As String,
     ByVal newEmployeeId As Integer, ByVal newMailStop As String,
     ByVal newDepartmentName As String)
        MyBase.New(newFirstName, newLastName, newStreet, newCity, newState, newZip,
            newEmployeeId, newMailStop)

        ' Initialize the other properties.
        DepartmentName = newDepartmentName
        Console.WriteLine("Manager(parameters)")
    End Sub
End Class
