﻿Public Class ComplexNumber
    Public Property Real As Double
    Public Property Imaginary As Double

    ' Constructors.
    Public Sub New(ByVal newReal As Double, ByVal newImaginary As Double)
        Real = newReal
        Imaginary = newImaginary
    End Sub

    Public Function AddTo(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real + c1.Real,
            Me.Imaginary + c1.Imaginary)
        Return result
    End Function

    Public Function MultiplyBy(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            Me.Real * c1.Real - Me.Imaginary * c1.Imaginary,
            Me.Real * c1.Imaginary + Me.Imaginary * c1.Real)
        Return result
    End Function

    Public Function SubtractFrom(ByVal c1 As ComplexNumber) As ComplexNumber
        Dim result As ComplexNumber = New ComplexNumber(
            c1.Real - Me.Real,
            c1.Imaginary - Me.Imaginary)
        Return result
    End Function
End Class
